Loading...
Searching...
No Matches
StoreOps Class Reference

StoreOps. More...

`#include <store.h>`

## Static Public Member Functions

static bool | storeData (QSqlDatabase &db, Craplog &craplog, const std::vector< std::unordered_map< int, std::string > > &data)
| Stores the data collection in the logs Collection database. More...

## Detailed Description

StoreOps.

Operations to store logs data

## Member Function Documentation

## storeData()

bool StoreOps::storeData | ( | QSqlDatabase & | db,
|  | Craplog & | craplog,
|  | const std::vector< std::unordered_map< int, std::string > > & | data
| ) |  |

static

Stores the data collection in the logs Collection database.

Parameters

  db | A database instance, already initizlized
  craplog | The Craplog instance
  data | The logs data collection

Returns
  Whether the operation has been successful or not

Exceptions

  WebServerException |

The documentation for this class was generated from the following files:

- logdoctor/modules/craplog/modules/store.h
- logdoctor/modules/craplog/modules/store.cpp